Bug 16039 - Xfree-3.3 XF86config emul 3 buttons not always correctly updated
Summary: Xfree-3.3 XF86config emul 3 buttons not always correctly updated
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 22:20 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 16:00:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2000-08-11 22:20:32 UTC
If you have an XF86Config which doesn't contain the emulthree button
options commented, as normally done by mouseconfig / Xconfigurator, but
just doesn't have them (or with more whitespace in the comment), then
mouseconfig doesn't add these options even if you enable emulatre 3 buttons
in the TUI.

It would be better todo a wildcardsearch for these options and remove any
lines containing them and then just blindly add them again (commented or
not depending on the users choice), this will also work with custom
XF86Config files, like mine.

Comment 1 Preston Brown 2000-08-14 15:56:14 UTC
trond, please see if you can fix this.

Comment 2 Trond Eivind Glomsrxd 2000-08-14 16:00:32 UTC
The XFree 3 parser tries to be clever and preserver options:( - I would rather
have them running Xconfigurator...  the alternative is rewriting that part of
the code to do like the XFree 4 version: Don't care about what is in the
existing file, just write the current values.


Note You need to log in before you can comment on or make changes to this bug.